Teensy 3.5 & 3.6 support

Discussion and questions about boards that can run MicroPython but don't have a dedicated forum.
Target audience: Everyone interested in running MicroPython on other hardware.
User avatar
dhylands
Posts: 2109
Joined: Mon Jan 06, 2014 6:08 pm
Location: Shuswap, BC, Canada
Contact:

Teensy 3.5 & 3.6 support

Postby dhylands » Thu Oct 13, 2016 9:06 pm

I've created a PR with teensy 3.5 & 3.6 support.

https://github.com/micropython/micropython/pull/2513

It currently supports, Pin, Timer, and UART modules. I'll be adding more soon.
Some additional information available here: https://github.com/micropython/micropyt ... .1-3.5-3.6

User avatar
kamikaze
Posts: 107
Joined: Tue Aug 16, 2016 10:10 am
Location: СССР
Contact:

Re: Teensy 3.5 & 3.6 support

Postby kamikaze » Thu Oct 13, 2016 10:14 pm

Oh, great! I've ordered two 3.6s and now it is possible to run MicroPython :) will test it when get them. It has 180MHz cpu and CAN. :idea:

User avatar
kamikaze
Posts: 107
Joined: Tue Aug 16, 2016 10:10 am
Location: СССР
Contact:

Re: Teensy 3.5 & 3.6 support

Postby kamikaze » Thu Oct 20, 2016 3:04 pm

Now I have my 2 3.6s ready to test MicroPython ) do you have a howto for this? )

User avatar
dhylands
Posts: 2109
Joined: Mon Jan 06, 2014 6:08 pm
Location: Shuswap, BC, Canada
Contact:

Re: Teensy 3.5 & 3.6 support

Postby dhylands » Thu Oct 20, 2016 4:27 pm

Something like this should work:

Code: Select all

git clone https://github.com/dhylands/micropython.git
cd micropython
git checkout teensy-adc
cd teensy
make BOARD=TEENSY_3.6

If you have an existing micropython repository that you'd like to use, then you should be able to do this instead:

Code: Select all

git remote add dhylands https://github.com/dhylands/micropython.git
git fetch dhylands
git checkout dhylands/teensy-adc

Build teensy_loader_cli and add it to your PATH. See: https://www.pjrc.com/teensy/loader_cli.html
Once you have teensy_loader_cli built, then you should be able to do:

Code: Select all

make BOARD=TEENSY_3.6 deploy

I'm moving stuff over to use machine instead of pyb.
gpio works
Timer works
sdcard works
uart works
adc works (for all of the above works = something worked. I haven't done extensive testing yet).

I've also put some more information over here:
https://github.com/micropython/micropyt ... .1-3.5-3.6

rcolistete
Posts: 83
Joined: Thu Dec 31, 2015 3:12 pm

Re: Teensy 3.5 & 3.6 support

Postby rcolistete » Sun Oct 23, 2016 4:57 am

Thanks. Teensy 3.5/3.6 with ADC (13-16 bits, 2 channels, 24/26 ports) and sd card will be a great MCU board por data logging using MicroPython.

User avatar
kamikaze
Posts: 107
Joined: Tue Aug 16, 2016 10:10 am
Location: СССР
Contact:

Re: Teensy 3.5 & 3.6 support

Postby kamikaze » Sat Nov 05, 2016 4:52 am

ok. flashed both Teensies 3.6. At least they boot fine ) the only thing is - my Linux doesn't show it as a mass storage device like PyBoard. Is it supposed to be so? But how should I edit files? Also there is a "pyb" module imported... in teensy )

User avatar
dhylands
Posts: 2109
Joined: Mon Jan 06, 2014 6:08 pm
Location: Shuswap, BC, Canada
Contact:

Re: Teensy 3.5 & 3.6 support

Postby dhylands » Sat Nov 05, 2016 5:15 am

No there currently isn't any mass storage support for teensy.

It also doesn't currently have an internal flash filesystem.

Ways to get files onto the teensy 3.5/3.6:
1 - Use the sdcard
2 - Use rshell to copy files to the sdcard
3 - copy your files into the scripts directory and they'll get compiled into the firmware image as frozen files.

The module is called pyb because that's what its always been called. I'm gradually phasing out the pyb stuff and moving it to the machine module (which is also present on the teensy).

User avatar
Roberthh
Posts: 448
Joined: Sat May 09, 2015 4:13 pm
Location: Rhineland, Europe

Re: Teensy 3.5 & 3.6 support

Postby Roberthh » Sun Nov 06, 2016 1:01 pm

You can also uses adafruit's ampy tool: https://github.com/adafruit/ampy

User avatar
Roberthh
Posts: 448
Joined: Sat May 09, 2015 4:13 pm
Location: Rhineland, Europe

Re: Teensy 3.5 & 3.6 support

Postby Roberthh » Sun Nov 06, 2016 2:55 pm

I just tried that version on teensy 3.6. It makes real fun. Thanks a lot @dhylands, for starting that port. The CPU runs like a greyhound. That should get one of the standard-platforms for MicroPython. Lots of memory and I/O, neat form factor. I also configured my little on-board editor for that device; runs well. It's at https://github.com/robert-hh/Micropython-Editor.
And, ugly as it is, even pymakr is able to detect that device (no wonder, it's a responsive serial connection).

rcolistete
Posts: 83
Joined: Thu Dec 31, 2015 3:12 pm

Re: Teensy 3.5 & 3.6 support

Postby rcolistete » Sun Nov 20, 2016 7:45 pm

Could you post some MicroPython firmware files for Teensy 3.2, Teensy 3.5 and Teensy 3.6 ?

Just flashing with teensy_loader_cli seems a lot easier than to have the build environment of MicroPython for Teensy.


Return to “Other Boards”

Who is online

Users browsing this forum: No registered users and 1 guest